# Class AddDataMessage

#### Hierarchy

- unknown
  - AddDataMessage

- Defined in src/protobuf/pb_pb.d.ts:831
- Defined in src/protobuf/pb_pb.d.ts:845

#####
Index

### Constructors

constructor

### Methods

clearEntry
getEntry
hasEntry
serializeBinary
setEntry
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddDataMessage(): AddDataMessage

- #### Returns AddDataMessage

  Inherited from jspb.Message.constructor

## Methods

### clearEntry

- clearEntry(): AddDataMessage

- #### Returns AddDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:835

### getEntry

- getEntry(): undefined | StorageEntryWrapper

- #### Returns undefined | StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:832

### hasEntry

- hasEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:834

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:837

### setEntry

- setEntry(value?: StorageEntryWrapper): AddDataMessage

- #### Parameters

  - ##### `Optional` value: StorageEntryWrapper

  #### Returns AddDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:833

### toObject

- toObject(includeInstance?: boolean): AddDataMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:838

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddDataMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:841

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddDataMessage, reader: BinaryReader): AddDataMessage

- #### Parameters

  - ##### message: AddDataMessage

  - ##### reader: BinaryReader

  #### Returns AddDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:842

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddDataMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:840

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddDataMessage): AddDataMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddDataMessage

  #### Returns AddDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:839

Generated using TypeDoc